/*
 *	Delay functions
 *
 *	Make sure this code is compiled with full optimization!!!
 */

#ifndef __DELAY_C
#define __DELAY_C
 
#include	"always.h"
#include	"delay.h"

void DelayIntUs(union wordtype cnt)
{
	unsigned int i;
	
	for(i=1;i<=cnt.byte.high;i++)
	{
		DelayUs(255);
	}
	DelayUs(cnt.byte.low);
}

void DelayMs(unsigned char cnt)
{
	unsigned char	i;
	do {
		i = 4;
		do {
			DelayUs(250);
		} while(--i);
	} while(--cnt);
}

void DelayS(unsigned char cnt)
{
	unsigned char i;
	do {
		i = 4;
		do {
			DelayMs(250);
		} while(--i);
	} while(--cnt);
}

#endif

