//****************************************************************************
//                            test232.c
//                             V1.00
//
// This is a simple program to test the RS-232 routines using the demo board.
// Sends a message out then echos back the data.
//
// Port assignments on the demo board are:
// RB0 / INT -> RXD - serial data receive
// RB1       -> TXD - serial data transmit
//
// Target Processor: PIC 16F84
//
// Author: Michael Pearce
//         Chemistry Department, University of Canterbury
//
// Started: Tuesday 4 May 1999
//
//****************************************************************************
//                        Version Information
//****************************************************************************
// Version 1.00 - 04 May 1999
//  Start of the project.
//****************************************************************************

#define PIC_CLK 10

#include <pic.h>

//#include "int232.c"
#include "iserial.c"

#include <stdio.h>

void main(void)
{
	char c;
 InitUart();
 printf("This is the test232 Version 1.00\n\r");
 while(1)
 {
	 c=getch();
	 putch(c);   //-- echo characters back
 }
}

















